/*
 * convert.c - these functions encode and decode given values in network order
 * Author: Yun-Ching Lee (ycl+@cmu.edu)
 * Copyright 1998 by Carnegie Mellon University
 * All rights reserved
 */

#include "convert.h"

long 
int16tobuf(u_short integer, char *buffer)
{
	u_short         temp;
	temp = htons(integer);
	memcpy(buffer, &temp, sizeof(u_short));
	return sizeof(u_short);
}

long 
int32tobuf(u_long integer, char *buffer)
{
	u_long          temp;
	temp = htonl(integer);
	memcpy(buffer, &temp, sizeof(u_long));
	return sizeof(u_long);
}

long 
floattobuf(float floating, char *buffer)
{
	FLOAT_BITMASK   fl;
	fl.fpnum = floating;
	fl.intnum = htonl(fl.intnum);
	memcpy(buffer, &fl.intnum, sizeof(u_long));
	return sizeof(float);
}

long 
buftoint16(char *buffer, u_short * integer)
{
	u_short         temp;
	memcpy(&temp, buffer, sizeof(u_short));
	*integer = ntohs(temp);
	return sizeof(u_short);
}

long 
buftoint32(char *buffer, u_long * integer)
{
	u_long          temp;
	memcpy(&temp, buffer, sizeof(u_long));
	*integer = ntohl(temp);
	return sizeof(u_long);
}

long 
buftofloat(char *buffer, float *floating)
{
	FLOAT_BITMASK   fl;
	memcpy(&fl.intnum, buffer, sizeof(u_long));
	fl.intnum = ntohl(fl.intnum);
	*floating = fl.fpnum;
	return sizeof(float);
}
