/*
 * //------------------------------------
 * //  USER_DEFS.H
 * //  by Alan Lipton. April 1998
 * //  Copyright Carnegie Mellon University
 * //  All rights reserved
 * //------------------------------------
 */

#ifndef	__USER_DEFS_H__
#define __USER_DEFS_H__

#include "enums.h"

#define PI			(3.14159265358979323846)
#define	M_PI		(3.14159265358979323846)
#define ABS(x)	(((x) > 0) ? (x) : (0-(x)))
#define	NO_CORRELATION (10000.0)



/* correlation matching */
#define	BLUE_CHANNEL	(2)
#define	GREEN_CHANNEL	(1)
#define	RED_CHANNEL	(0)


#define	NEW_TARGET			(10000)
#define	UNMATCHED			(-1)
/* TARGET DEFINITIONS */

#define	TRAJECTORY_LENGTH	(15)	/* length of target trajectories */

#define	HISTOGRAM_SIZE		(64)	/* # of histogram bins */
#define	PERIMETER_LENGTH	(4096)	/* Maximum boundary length */
#define	SKELETON_SIZE		(20)	/* Maximum skeleton size */
#define	TEMPLATE_SIZE		(200)	/* Maximum template dimensions */
#define	TEMPLATE_MEM		(200000)	/* Template memory allocation */

/* TRAJECTORY MASK VALUES */
/*
#define	T_MASK_IMG_POS		(0x00000001)
#define	T_MASK_IMG_VEL		(0x00000001)
#define	T_MASK_IMG_ACC		(0x00000001)
#define	T_MASK_B_BOX		(0x00000008)
#define	T_MASK_TEMPLATE		(0x00000010)
#define	T_MASK_HISTOGRAM	(0x00000020)
#define	T_MASK_BOUNDARY		(0x00000040)
#define	T_MASK_SIZE			(0x00000080)
#define	T_MASK_SKELETON		(0x00000100)
*/

/* TARGET STATUS */
#define	TS_NONE				(0)
#define	TS_HYPOTHESIS		(1)
#define	TS_CONFIRMED		(2)

/* TARGET CLASSES */

/*
 * #define	TG_UNCLASSIFIED		(0) #define	TG_CLUTTER_REJECT
 * (1) #define	TG_HUMAN			(2) #define
 * TG_HUMAN_GROUP		(3) #define	TG_VEHICLE
 * 4) #define	TG_CAR				(5) #define	TG_TRUCK
 * 6)
 */

#define	TG_OCCLUDED			(100)

/* TEMPLATE PACKING TYPES */

/*
 * #define	PIX_MONOCHROME		(0) #define	PIX_RGB
 * 1) #define	PIX_RGBA			(2) #define	PIX_ABGR
 * 3)
 */

#endif				/* __USER_DEFS_H__ */
