/*
 * user_defs.h - definition of OCU limitations
 * Author: Yun-Ching Lee (ycl+@cmu.edu)
 * Copyright 1998 by Carnegie Mellon University
 * All rights reserved
 */

/*
 * this is taken from last year's OCU source
 */

#ifndef __user_defs_h__
#define	__user_defs_h__

/* useful constants */
#define MAX_TARGETS (10)
#define MAX_ANGLE   (180.0)	/* Max value of Pan Tilt FOVs etc */
#define MAX_ALT    (9000.0)	/* Mt Everest is 8848 mts :-)     */
#define MAX_INT16  (pow(2.0,15.0) - 1.0)	/* Max value held in 16 bits */
#define MAX_INT32  (pow(2.0,31.0) - 1.0)	/* Max value held in 32 bits */
#define err_quit(msg) { perror(msg);/* exit(-1);*/ }

#define	IDLE_TIME	(60.0)	/* idle time before move */
#define	MAX_HANDOFF	(5)
#define	HANDOFF_RANGE	(20.0)	/* degrees for handoff */

/* ethernet stuff */

#define	MAX_CLIENTS	(10)	/* maximum ethernet clients */
#define	MAX_SPUS	(MAX_CLIENTS - 1)	/* one for gocu */
#define	MAX_IDLE_ANG	(10)
#define SPU_PACKSIZE_MAX (51 + (MAX_TARGETS * 9))	/* Max size of SPU
							 * PACKET */
#define OCU2GUI_PACKSIZE_MAX (43 + (MAX_TARGETS * 13))	/* max packet size from
							 * OCU to GUI */
#define OCU_PACKSIZE_MAX (11)	/* Max size of OCU PACKET  */
#define OCU_PACKSIZE (11)	/* ocu packet size is constant */
/* internal data */
#define UNIDENTIFIED	(0)
#define	SPU_0_ID	(1)
#define	SPU_1_ID	(2)
#define	SPU_AIR_ID	(3)
#define	GUI_ID		(4)
#define	OCU_ID		(10)

#define FDEM_FILE "flipped_fdem.pgm"
#define XORIGIN -514.0
#define YORIGIN -331.0		/* 353.0-684.0 */
#define XSCALE 0.5
#define YSCALE 0.5


#endif				/* __user_defs_h__ */
